Skip to main content
GET
/
minMax
Get DEX and CEX min/max amounts
curl --request GET \
  --url https://api-partner.houdiniswap.com/v2/minMax \
  --header 'Authorization: <api-key>'
import requests

url = "https://api-partner.houdiniswap.com/v2/minMax"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api-partner.houdiniswap.com/v2/minMax', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cex": {
    "maxOut": 50000,
    "minOut": 75,
    "max": 16.914175,
    "min": 0.0253712625
  },
  "dex": {
    "max": 50,
    "min": 0.005,
    "maxOut": 123,
    "minOut": 123
  },
  "private": {
    "maxOut": 50000,
    "minOut": 100,
    "max": 16.914175,
    "min": 0.0845708751
  }
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Query Parameters

tokenIdFrom
string
required

Source token identifier (ObjectId or CEX token ID like "ETH")

tokenIdTo
string
required

Destination token identifier (ObjectId or CEX token ID like "BNB")

Response

Success

cex
object | null
required

CEX min/max values

dex
object | null
required

DEX min/max values

private
object | null
required

Private/anonymous CEX min/max values